<template>
  <v-toolbar
    app
    fixed
    clipped-left>
    <v-toolbar-side-icon
      @click.stop="onClickBtn"/>
    <v-toolbar-title>
      SMDashboard
    </v-toolbar-title>
    <v-spacer/>
    <v-btn
      icon
      @click.stop="onNotificationBtnClick">
      <v-icon>mdi-bell</v-icon>
    </v-btn>
    <v-btn
      icon
      large>
      <v-avatar
        size="32px"
        tile>
        <!-- <img
          src="https://cdn.vuetifyjs.com/images/logos/logo.svg"
          alt="Vuetify"
        > -->
        <v-icon>mdi-account</v-icon>
      </v-avatar>
    </v-btn>
  </v-toolbar>
</template>

<script>
import {
  mapMutations
} from 'vuex'

export default {
  data: () => ({
    notifications: [
      'Mike, John responded to your email',
      'You have 5 new tasks',
      'You\'re now a friend with Andrew',
      'Another Notification',
      'Another One'
    ],
    // title: null,
    responsive: false,
    responsiveInput: false
  }),

  // watch: {
  //   '$route' (val) {
  //     this.title = val.name
  //   }
  // },

  mounted () {
    this.onResponsiveInverted()
    window.addEventListener('resize', this.onResponsiveInverted)
  },
  beforeDestroy () {
    window.removeEventListener('resize', this.onResponsiveInverted)
  },

  methods: {
    ...mapMutations('app', [
      'setDrawer',
      'toggleDrawer',
      'setNotification',
      'toggleNotification'
    ]),
    onClickBtn () {
      this.setDrawer(!this.$store.state.app.drawer)
    },
    onNotificationBtnClick () {
      this.setNotification(!this.$store.state.app.notification)
    },
    onClick () {
      //
    },
    onResponsiveInverted () {
      if (window.innerWidth < 991) {
        this.responsive = true
        this.responsiveInput = false
      } else {
        this.responsive = false
        this.responsiveInput = true
      }
    }
  }
}
</script>

<style>
/*  #core-toolbar a {
    text-decoration: none;
  }*/
</style>
